Institution required credentials
Use this endpoint to view all credentials needed to create a member for a given institution. Intitution-required credentials are subject to change; these credentials must be requested each time a new member is created, or, if being cached, requested daily along with the institution list. If the wrong institution-required credentials are used in a request, the following error and message will be returned. 400 Bad Request The credential guids submitted are no longer valid. Check the Institution Required Credentials endpoint for the most recent credentials.
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for the institution. Defined by MX.
Response
OK

